package Benin_onitsha_alaoji_330kv
  model Network
    OpenIPSL.Electrical.Buses.Bus Benin(P_0 = 149.20, Q_0 = 6.35, V_0 = 0.96, V_b = 330, displayPF = true) annotation(
      Placement(visible = true, transformation(origin = {-66, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    OpenIPSL.Electrical.Branches.PwLine line1(B = 0.001 / 2, G = 0, R = 0.0018, X = 0.014, displayPF = true) annotation(
      Placement(visible = true, transformation(origin = {-74, -16}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    OpenIPSL.Electrical.Branches.PwLine line2(B = 0.001 / 2, G = 0, R = 0.0049, X = 0.042, displayPF = true) annotation(
      Placement(visible = true, transformation(origin = {-30, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    OpenIPSL.Electrical.Events.PwFault fault(R = 0.5, X = 0.5, t1 = 5, t2 = 7) annotation(
      Placement(visible = true, transformation(origin = {-40, -22}, extent = {{-6, -6}, {6, 6}}, rotation = -90)));
    OpenIPSL.Electrical.Buses.Bus Onitsha(P_0 = 149.10, Q_0 = 3.47, V_0 = 0.96, V_b = 330, displayPF = true) annotation(
      Placement(visible = true, transformation(origin = {2, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    OpenIPSL.Electrical.Branches.PwLine line3(B = 0.001 / 2, G = 0, R = 0.0021, X = 0.014, displayPF = true) annotation(
      Placement(visible = true, transformation(origin = {30, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    OpenIPSL.Electrical.Loads.PSAT.LOADPQ load2(P_0 = 236, Q_0 = 146, V_0 = 0.96, V_b = 330) annotation(
      Placement(visible = true, transformation(origin = {21, -21}, extent = {{-5, -5}, {5, 5}}, rotation = 0)));
    OpenIPSL.Electrical.Buses.Bus Alaoji(P_0 = 13.45, Q_0 = 3.45, V_0 = 0.96, V_b = 330, displayPF = true) annotation(
      Placement(visible = true, transformation(origin = {60, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    OpenIPSL.Electrical.Loads.PSAT.LOADPQ Load3(P_0 = 248, Q_0 = 153, V_0 = 0.96, V_b = 330) annotation(
      Placement(visible = true, transformation(origin = {84, -8.88178e-16}, extent = {{-6, -6}, {6, 6}}, rotation = 90)));
    OpenIPSL.Electrical.Loads.PSAT.LOADPQ Load1(P_0 = 136, Q_0 = 84, V_0 = 0.96, V_b = 330) annotation(
      Placement(visible = true, transformation(origin = {-87, 1}, extent = {{-5, -5}, {5, 5}}, rotation = -90)));
    OpenIPSL.Electrical.Branches.PwLine line4(B = 0.001 / 2, G = 0, R = 0.0018, X = 0.014, displayPF = true) annotation(
      Placement(visible = true, transformation(origin = {74, -16}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
    inner OpenIPSL.Electrical.SystemBase SysData(S_b = 1902) annotation(
      Placement(visible = true, transformation(origin = {80, 42}, extent = {{-12, -10}, {12, 10}}, rotation = 0)));
    Benin_onitsha_alaoji_330kv.Plant1 plant11 annotation(
      Placement(visible = true, transformation(origin = {-74, -50}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
    Benin_onitsha_alaoji_330kv.Plant2 plant21 annotation(
      Placement(visible = true, transformation(origin = {74, -44}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
  equation
    connect(line3.n, Alaoji.p) annotation(
      Line(points = {{40, 0}, {60, 0}, {60, 0}, {60, 0}}, color = {0, 0, 255}));
    connect(Onitsha.p, line3.p) annotation(
      Line(points = {{2, 0}, {20, 0}, {20, 0}, {22, 0}}, color = {0, 0, 255}));
    connect(line2.n, Onitsha.p) annotation(
      Line(points = {{-20, 0}, {2, 0}, {2, 0}, {2, 0}}, color = {0, 0, 255}));
    connect(Benin.p, line2.p) annotation(
      Line(points = {{-66, 0}, {-38, 0}, {-38, 0}, {-38, 0}}, color = {0, 0, 255}));
    connect(line1.p, plant11.pwPin1) annotation(
      Line(points = {{-74, -24}, {-74, -24}, {-74, -40}, {-74, -40}}, color = {0, 0, 255}));
    connect(line4.n, plant21.pwPin1) annotation(
      Line(points = {{74, -24}, {74, -24}, {74, -34}, {74, -34}}, color = {0, 0, 255}));
    connect(Alaoji.p, Load3.p) annotation(
      Line(points = {{60, 0}, {78, 0}, {78, 0}, {78, 0}}, color = {0, 0, 255}));
    connect(Alaoji.p, line4.p) annotation(
      Line(points = {{60, 0}, {74, 0}, {74, -7}}, color = {0, 0, 255}));
    connect(load2.p, line3.p) annotation(
      Line(points = {{21, -16}, {20, -16}, {20, 0}}, color = {0, 0, 255}));
    connect(fault.p, line2.p) annotation(
      Line(points = {{-40, -15}, {-40, 0}}, color = {0, 0, 255}));
    connect(line1.n, Benin.p) annotation(
      Line(points = {{-74, -7}, {-74, 0}, {-66, 0}}, color = {0, 0, 255}));
    connect(Load1.p, Benin.p) annotation(
      Line(points = {{-82, 1}, {-66, 1}, {-66, -1}, {-66, -1}}, color = {0, 0, 255}));
  end Network;

  model Plant1
    OpenIPSL.Electrical.Branches.PSAT.TwoWindingTransformer twoWindingTransformer1(Sn = 1902, V_b = 330, Vn = 20, kT = 0.06060606, r = 0.1, x = 0.001) annotation(
      Placement(visible = true, transformation(origin = {47, -1}, extent = {{-17, -17}, {17, 17}}, rotation = 0)));
    OpenIPSL.Interfaces.PwPin pwPin1 annotation(
      Placement(visible = true, transformation(origin = {97, -1}, extent = {{-7, -7}, {7, 7}}, rotation = 0), iconTransformation(origin = {97, -1}, extent = {{-7, -7}, {7, 7}}, rotation = 0)));
    inner OpenIPSL.Electrical.SystemBase SysData(S_b = 1902) annotation(
      Placement(visible = true, transformation(origin = {84, 62}, extent = {{-12, -10}, {12, 10}}, rotation = 0)));
    OpenIPSL.Electrical.Machines.PSAT.Order4 order41(D = 0, M = 10, P_0 = 386, Sn = 1902, V_0 = 0.96, V_b = 330, Vn = 20, ra = 0.001, x1d = 0.302) annotation(
      Placement(visible = true, transformation(origin = {-40, 0}, extent = {{-16, -16}, {16, 16}}, rotation = 0)));
  equation
    connect(order41.p, twoWindingTransformer1.p) annotation(
      Line(points = {{-24, 0}, {28, 0}, {28, 0}, {28, 0}}, color = {0, 0, 255}));
    connect(order41.vf, order41.vf0) annotation(
      Line(points = {{-59.2, 8}, {-66.2, 8}, {-66.2, 20}, {-53.2, 20}, {-53.2, 18}}, color = {0, 0, 127}));
    connect(order41.pm, order41.pm0) annotation(
      Line(points = {{-59.2, -8}, {-66.2, -8}, {-66.2, -22}, {-53.2, -22}, {-53.2, -18}}, color = {0, 0, 127}));
    connect(twoWindingTransformer1.n, pwPin1) annotation(
      Line(points = {{66, -1}, {94, -1}, {94, 0}, {98, 0}}, color = {0, 0, 255}));
  end Plant1;

  model Plant2
    OpenIPSL.Interfaces.PwPin pwPin1 annotation(
      Placement(visible = true, transformation(origin = {92, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {92, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    OpenIPSL.Electrical.Branches.PSAT.TwoWindingTransformer twoWindingTransformer1(Sn = 1430, V_b = 330, Vn = 20, kT = 0.06060606) annotation(
      Placement(visible = true, transformation(origin = {17, -1}, extent = {{-19, -19}, {19, 19}}, rotation = 0)));
    inner OpenIPSL.Electrical.SystemBase SysData(S_b = 1902) annotation(
      Placement(visible = true, transformation(origin = {52, 64}, extent = {{-12, -10}, {12, 10}}, rotation = 0)));
    OpenIPSL.Electrical.Machines.PSAT.Order4 order41(D = 0, M = 10, P_0 = 455, Sn = 1430, V_0 = 0.96, V_b = 330, Vn = 20, ra = 0.001, x1d = 0.302) annotation(
      Placement(visible = true, transformation(origin = {-55, -1}, extent = {{-21, -21}, {21, 21}}, rotation = 0)));
  equation
    connect(order41.pm, order41.pm0) annotation(
      Line(points = {{-80, -12}, {-90, -12}, {-90, -36}, {-72, -36}, {-72, -24}, {-72, -24}}, color = {0, 0, 127}));
    connect(order41.vf, order41.vf0) annotation(
      Line(points = {{-80, 10}, {-90, 10}, {-90, 34}, {-72, 34}, {-72, 22}, {-72, 22}}, color = {0, 0, 127}));
    connect(order41.p, twoWindingTransformer1.p) annotation(
      Line(points = {{-34, 0}, {-4, 0}, {-4, 0}, {-4, 0}}, color = {0, 0, 255}));
    connect(twoWindingTransformer1.n, pwPin1) annotation(
      Line(points = {{38, -2}, {86, -2}, {86, 0}, {92, 0}}, color = {0, 0, 255}));
  end Plant2;

  model Plant3
    extends OpenIPSL.Electrical.Essentials.pfComponent;
    parameter Real vf0 = 1.755517086537914;
    parameter Real vref0 = 1.118023800520641;
    parameter Real height_1 annotation(
      Dialog(group = "AVR Disturbance"));
    parameter Real tstart_1 annotation(
      Dialog(group = "AVR Disturbance"));
    parameter Boolean refdisturb_1 annotation(
      Dialog(group = "AVR Disturbance"));
    OpenIPSL.Electrical.Machines.PSAT.Order4 gen(Sn = 100, Vn = 18, V_b = V_b, V_0 = V_0, angle_0 = angle_0, P_0 = P_0, Q_0 = Q_0, ra = 0, xd = 0.8958, xq = 0.8645, x1d = 0.1198, x1q = 0.1969, T1d0 = 6, T1q0 = 0.5350, M = 12.8, D = 0) annotation(
      Placement(transformation(extent = {{-10, -10}, {10, 10}}, rotation = 0, origin = {28, 14})));
    OpenIPSL.Electrical.Controls.PSAT.AVR.AVRTypeII AVR(vrmin = -5, vrmax = 5, v0 = V_0, Ka = 20, Ta = 0.2, Kf = 0.063, Tf = 0.35, Ke = 1, Te = 0.314, Tr = 0.001, Ae = 0.0039, Be = 1.555) annotation(
      Placement(transformation(extent = {{-10, -10}, {10, 10}}, rotation = 0, origin = {-6, 10})));
    Modelica.Blocks.Sources.Step step(startTime = tstart_1, offset = vref0, height = height_1) annotation(
      Placement(transformation(extent = {{-4, -4}, {4, 4}}, rotation = 90, origin = {-56, -2})));
    Modelica.Blocks.Logical.Switch switch1 annotation(
      Placement(transformation(extent = {{-50, 12}, {-40, 22}})));
    Modelica.Blocks.Sources.BooleanConstant booleanConstant(k = true) annotation(
      Placement(transformation(extent = {{-80, 2}, {-70, 12}})));
    OpenIPSL.Interfaces.PwPin pwPin annotation(
      Placement(transformation(extent = {{100, -10}, {120, 10}})));
    //Real P_MW;
    //Real Q_MVA;
    OpenIPSL.Electrical.Branches.PSAT.TwoWindingTransformer twoWindingTransformer1(Sn = 1902, V_b = 330, Vn = 20, kT = 0.06060606) annotation(
      Placement(visible = true, transformation(origin = {74, 0}, extent = {{-16, -16}, {16, 16}}, rotation = 0)));
  equation
    connect(twoWindingTransformer1.n, pwPin) annotation(
      Line(points = {{92, 0}, {110, 0}}, color = {0, 0, 255}));
    connect(gen.p, twoWindingTransformer1.p) annotation(
      Line(points = {{38, 14}, {56, 14}, {56, 0}}, color = {0, 0, 255}));
//P_MW = gen.P*S_b;
// Q_MVA = gen.Q*S_b;
    connect(gen.v, AVR.v) annotation(
      Line(points = {{39, 17}, {48, 17}, {48, -14}, {-22, -14}, {-22, 4}, {-18, 4}}, color = {0, 0, 127}, smooth = Smooth.None));
    connect(switch1.y, AVR.vref) annotation(
      Line(points = {{-39.5, 17}, {-26.75, 17}, {-26.75, 16}, {-18, 16}}, color = {0, 0, 127}));
    connect(booleanConstant.y, switch1.u2) annotation(
      Line(points = {{-69.5, 7}, {-66, 7}, {-66, 17}, {-51, 17}}, color = {255, 0, 255}));
    connect(step.y, switch1.u1) annotation(
      Line(points = {{-56, 2.4}, {-56, 21}, {-51, 21}}, color = {0, 0, 127}));
    connect(AVR.vf, gen.vf) annotation(
      Line(points = {{6, 10}, {8, 10}, {8, 19}, {16, 19}}, color = {0, 0, 127}));
    connect(gen.pm0, gen.pm) annotation(
      Line(points = {{20, 3}, {20, 0}, {14, 0}, {14, 9}, {16, 9}}, color = {0, 0, 127}));
    connect(gen.vf0, AVR.vf0) annotation(
      Line(points = {{20, 25}, {10, 25}, {10, 36}, {-26, 36}, {-26, -8}, {-6, -8}, {-6, -2}}, color = {0, 0, 127}));
    connect(AVR.vref0, switch1.u3) annotation(
      Line(points = {{-6, 22}, {-30, 22}, {-30, 50}, {-68, 50}, {-68, 42}, {-68, 13}, {-51, 13}}, color = {0, 0, 127}));
    annotation(
      Diagram(coordinateSystem(preserveAspectRatio = false, extent = {{-100, -100}, {100, 100}})),
      Icon(coordinateSystem(preserveAspectRatio = false, extent = {{-100, -100}, {100, 100}}), graphics = {Ellipse(extent = {{-100, -100}, {100, 100}}, lineColor = {28, 108, 200}), Line(points = {{-60, -20}, {-20, 20}, {20, -20}, {60, 20}}, color = {28, 108, 200}), Text(extent = {{-34, -32}, {38, -52}}, lineColor = {28, 108, 200}, fillColor = {0, 0, 255}, fillPattern = FillPattern.Solid, textString = "%name"), Text(extent = {{62, 106}, {134, 68}}, lineColor = {238, 46, 47}, fillColor = {0, 0, 255}, fillPattern = FillPattern.Solid, textString = DynamicSelect("0.0", String(P_MW, significantDigits = 3))), Text(extent = {{62, -70}, {134, -108}}, lineColor = {0, 255, 0}, fillColor = {0, 0, 255}, fillPattern = FillPattern.Solid, textString = DynamicSelect("0.0", String(Q_MVA, significantDigits = 3)))}),
      Documentation);
  end Plant3;

  model plant4
    extends OpenIPSL.Electrical.Essentials.pfComponent;
    parameter Real vf0 = 1.755517086537914;
    parameter Real vref0 = 1.118023800520641;
    parameter Real height_1 annotation(
      Dialog(group = "AVR Disturbance"));
    parameter Real tstart_1 annotation(
      Dialog(group = "AVR Disturbance"));
    parameter Boolean refdisturb_1 annotation(
      Dialog(group = "AVR Disturbance"));
    OpenIPSL.Electrical.Machines.PSAT.Order4 gen(Sn = 100, Vn = 18, V_b = V_b, V_0 = V_0, angle_0 = angle_0, P_0 = P_0, Q_0 = Q_0, ra = 0, xd = 0.8958, xq = 0.8645, x1d = 0.1198, x1q = 0.1969, T1d0 = 6, T1q0 = 0.5350, M = 12.8, D = 0) annotation(
      Placement(transformation(extent = {{-10, -10}, {10, 10}}, rotation = 0, origin = {28, 14})));
    OpenIPSL.Electrical.Controls.PSAT.AVR.AVRTypeII AVR(vrmin = -5, vrmax = 5, v0 = V_0, Ka = 20, Ta = 0.2, Kf = 0.063, Tf = 0.35, Ke = 1, Te = 0.314, Tr = 0.001, Ae = 0.0039, Be = 1.555) annotation(
      Placement(transformation(extent = {{-10, -10}, {10, 10}}, rotation = 0, origin = {-6, 10})));
    Modelica.Blocks.Sources.Step step(startTime = tstart_1, offset = vref0, height = height_1) annotation(
      Placement(transformation(extent = {{-4, -4}, {4, 4}}, rotation = 90, origin = {-56, -2})));
    Modelica.Blocks.Logical.Switch switch1 annotation(
      Placement(transformation(extent = {{-50, 12}, {-40, 22}})));
    Modelica.Blocks.Sources.BooleanConstant booleanConstant(k = true) annotation(
      Placement(transformation(extent = {{-80, 2}, {-70, 12}})));
    OpenIPSL.Interfaces.PwPin pwPin annotation(
      Placement(transformation(extent = {{100, -10}, {120, 10}})));
    //Real P_MW;
    //Real Q_MVA;
    OpenIPSL.Electrical.Branches.PSAT.TwoWindingTransformer twoWindingTransformer1(Sn = 1430, V_b = 330, Vn = 20, kT = 0.06060606) annotation(
      Placement(visible = true, transformation(origin = {74, 0}, extent = {{-16, -16}, {16, 16}}, rotation = 0)));
  equation
    connect(twoWindingTransformer1.n, pwPin) annotation(
      Line(points = {{92, 0}, {110, 0}}, color = {0, 0, 255}));
    connect(gen.p, twoWindingTransformer1.p) annotation(
      Line(points = {{38, 14}, {56, 14}, {56, 0}}, color = {0, 0, 255}));
//P_MW = gen.P*S_b;
// Q_MVA = gen.Q*S_b;
    connect(gen.v, AVR.v) annotation(
      Line(points = {{39, 17}, {48, 17}, {48, -14}, {-22, -14}, {-22, 4}, {-18, 4}}, color = {0, 0, 127}, smooth = Smooth.None));
    connect(switch1.y, AVR.vref) annotation(
      Line(points = {{-39.5, 17}, {-26.75, 17}, {-26.75, 16}, {-18, 16}}, color = {0, 0, 127}));
    connect(booleanConstant.y, switch1.u2) annotation(
      Line(points = {{-69.5, 7}, {-66, 7}, {-66, 17}, {-51, 17}}, color = {255, 0, 255}));
    connect(step.y, switch1.u1) annotation(
      Line(points = {{-56, 2.4}, {-56, 21}, {-51, 21}}, color = {0, 0, 127}));
    connect(AVR.vf, gen.vf) annotation(
      Line(points = {{6, 10}, {8, 10}, {8, 19}, {16, 19}}, color = {0, 0, 127}));
    connect(gen.pm0, gen.pm) annotation(
      Line(points = {{20, 3}, {20, 0}, {14, 0}, {14, 9}, {16, 9}}, color = {0, 0, 127}));
    connect(gen.vf0, AVR.vf0) annotation(
      Line(points = {{20, 25}, {10, 25}, {10, 36}, {-26, 36}, {-26, -8}, {-6, -8}, {-6, -2}}, color = {0, 0, 127}));
    connect(AVR.vref0, switch1.u3) annotation(
      Line(points = {{-6, 22}, {-30, 22}, {-30, 50}, {-68, 50}, {-68, 42}, {-68, 13}, {-51, 13}}, color = {0, 0, 127}));
    annotation(
      Diagram(coordinateSystem(preserveAspectRatio = false, extent = {{-100, -100}, {100, 100}})),
      Icon(coordinateSystem(preserveAspectRatio = false, extent = {{-100, -100}, {100, 100}}), graphics = {Ellipse(extent = {{-100, -100}, {100, 100}}, lineColor = {28, 108, 200}), Line(points = {{-60, -20}, {-20, 20}, {20, -20}, {60, 20}}, color = {28, 108, 200}), Text(extent = {{-34, -32}, {38, -52}}, lineColor = {28, 108, 200}, fillColor = {0, 0, 255}, fillPattern = FillPattern.Solid, textString = "%name"), Text(extent = {{62, 106}, {134, 68}}, lineColor = {238, 46, 47}, fillColor = {0, 0, 255}, fillPattern = FillPattern.Solid, textString = DynamicSelect("0.0", String(P_MW, significantDigits = 3))), Text(extent = {{62, -70}, {134, -108}}, lineColor = {0, 255, 0}, fillColor = {0, 0, 255}, fillPattern = FillPattern.Solid, textString = DynamicSelect("0.0", String(Q_MVA, significantDigits = 3)))}),
      Documentation);
  end plant4;

  model Plant5
    FOSSEE1.PSS.PSAT.PSS_TypeI pSS_TypeI1(Kp = 2, Kv = 5, Kw = 50, Tc = 0.1, Tw = 0.0005, vsmax = 0.045, vsmin = -0.045) annotation(
      Placement(visible = true, transformation(origin = {76.207, 27.793}, extent = {{-12.207, -7.32422}, {12.207, 12.207}}, rotation = 0)));
    OpenIPSL.Electrical.Controls.PSAT.TG.TGtypeII tGtypeII1(R = 0.2, S_b = 100, Sn = 20, pmax0 = 1, wref = 1) annotation(
      Placement(visible = true, transformation(origin = {-3, -63}, extent = {{21, -21}, {-21, 21}}, rotation = 0)));
    OpenIPSL.Electrical.Controls.PSAT.AVR.AVRTypeII aVRTypeII1(Ka = 2, Ke = 0.01, Kf = 0.45, Ta = 0.10, Te = 0.1, Tf = 1, Tr = 0.0015) annotation(
      Placement(visible = true, transformation(origin = {-4, 51}, extent = {{12, -13}, {-12, 13}}, rotation = 0)));
    OpenIPSL.Interfaces.PwPin pwPin1 annotation(
      Placement(visible = true, transformation(origin = {94, 2}, extent = {{-6, -6}, {6, 6}}, rotation = 0), iconTransformation(origin = {94, 2}, extent = {{-6, -6}, {6, 6}}, rotation = 0)));
    OpenIPSL.Electrical.Machines.PSAT.Order2 order21(D = 0, M = 10, P_0 = 386, Q_0 = 0, Sn = 1902, V_0 = 0.96, V_b = 330, Vn = 20, ra = 0.001, x1d = 0.302) annotation(
      Placement(visible = true, transformation(origin = {9, -1}, extent = {{-23, -23}, {23, 23}}, rotation = 0)));
  equation
    connect(aVRTypeII1.vref0, pSS_TypeI1.vref0) annotation(
      Line(points = {{-4, 67}, {81, 67}, {81, 39}}, color = {0, 0, 127}));
    connect(pSS_TypeI1.Vref, aVRTypeII1.vref) annotation(
      Line(points = {{89, 31}, {92, 31}, {92, 59}, {10, 59}}, color = {0, 0, 127}));
    connect(aVRTypeII1.v, order21.v) annotation(
      Line(points = {{10, 43}, {34, 43}, {34, 6}}, color = {0, 0, 127}));
    connect(aVRTypeII1.vf0, order21.vf0) annotation(
      Line(points = {{-4, 35}, {-4, 34}, {-9, 34}, {-9, 24}}, color = {0, 0, 127}));
    connect(order21.vf, aVRTypeII1.vf) annotation(
      Line(points = {{-19, 10.5}, {-86, 10.5}, {-86, 51}, {-18, 51}}, color = {0, 0, 127}));
    connect(order21.p, pwPin1) annotation(
      Line(points = {{32, -1}, {94, -1}, {94, 2}}, color = {0, 0, 255}));
    connect(order21.P, pSS_TypeI1.Pg) annotation(
      Line(points = {{34, -8}, {34, 30}, {65, 30}}, color = {0, 0, 127}));
    connect(order21.v, pSS_TypeI1.Vg) annotation(
      Line(points = {{34, 6}, {43, 6}, {43, 26}, {65, 26}}, color = {0, 0, 127}));
    connect(order21.w, pSS_TypeI1.w) annotation(
      Line(points = {{34, 20}, {41.5, 20}, {41.5, 34}, {65, 34}}, color = {0, 0, 127}));
    connect(tGtypeII1.W, order21.w) annotation(
      Line(points = {{22, -63}, {52, -63}, {52, 20}, {34, 20}}, color = {0, 0, 127}));
    connect(tGtypeII1.pm0, order21.pm0) annotation(
      Line(points = {{-3, -38}, {-3, -32}, {-9, -32}, {-9, -26}}, color = {0, 0, 127}));
    connect(order21.pm, tGtypeII1.pm) annotation(
      Line(points = {{-19, -12.5}, {-86, -12.5}, {-86, -68}, {-26, -68}, {-26, -63}}, color = {0, 0, 127}));
    annotation(
      Icon(graphics = {Rectangle(origin = {5, 6}, fillColor = {0, 0, 255}, fillPattern = FillPattern.HorizontalCylinder, extent = {{-85, 76}, {85, -76}})}),
      __OpenModelica_simulationFlags(lv = "LOG_STATS", s = "dassl"));
  end Plant5;
  annotation(
    uses(OpenIPSL(version = "1.0.0")));
end Benin_onitsha_alaoji_330kv;
